%global oname jaxb-api

Epoch:         1

Name:          glassfish-jaxb-api
Version:       2.2.12
Release:       %mkrel 6
Group:         Development/Java
Summary:       Java Architecture for XML Binding
License:       CDDL or GPLv2 with exception
URL:           http://jaxb.java.net/
# jaxb api and impl have different version
# svn export https://svn.java.net/svn/jaxb~version2/tags/jaxb-2_2_6/tools/lib/redist/jaxb-api-src.zip

Source0:       http://repo1.maven.org/maven2/javax/xml/bind/%{oname}/%{version}/%{oname}-%{version}-b141001.1542-sources.jar
Source1:       http://repo1.maven.org/maven2/javax/xml/bind/%{oname}/%{version}/%{oname}-%{version}-b141001.1542.pom

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: java-javadoc
BuildRequires: jvnet-parent

BuildRequires: maven-local
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-resources-plugin
BuildRequires: maven-shared-osgi
Requires:      jvnet-parent
BuildArch:     noarch

# The Fedora Packaging Committee granted openjdk a bundling exception to carry JAXP and
# JAX-WS (glassfish doesn't need one, since it is the upstream for these files).
# Reference: https://fedorahosted.org/fpc/ticket/292

%description
Glassfish - JAXB (JSR 222) API.

%package javadoc
Summary:       Javadoc for %{oname}
Requires:      %{name} = %{epoch}:%{version}-%{release} 

%description javadoc
Glassfish - JAXB (JSR 222) API.

This package contains javadoc for %{name}.

%prep
%setup -T -q -c

# fixing incomplete source directory structure
mkdir -p src/main/java

(
  cd src/main/java
  unzip -qq %{SOURCE0}
  rm -rf META-INF
)

cp -p %{SOURCE1} pom.xml

%pom_remove_plugin org.codehaus.mojo:buildnumber-maven-plugin
%pom_remove_plugin org.glassfish.copyright:glassfish-copyright-maven-plugin
%pom_remove_plugin org.codehaus.mojo:findbugs-maven-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-gpg-plugin
%pom_remove_plugin org.glassfish.build:gfnexus-maven-plugin


sed -i 's|<location>${basedir}/offline-javadoc</location>|<location>%{_javadocdir}/java</location>|' pom.xml

%build

%mvn_file :%{oname} %{oname}
%mvn_build

%install
%mvn_install

mv %{buildroot}%{_javadocdir}/%{name} \
 %{buildroot}%{_javadocdir}/%{oname}

%files -f .mfiles

%files javadoc
%{_javadocdir}/%{oname}




%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1:2.2.12-6.mga6
+ Revision: 982039
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:2.2.12-5.mga6
+ Revision: 976293
- First rebuild of the java stack
- sync package glassfish-jaxb-api with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Nov 11 2015 daviddavid <daviddavid> 1:2.2.12-1.mga6
+ Revision: 902620
- sync with fc24 (update to 2.2.12)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.2.9-6.mga5
+ Revision: 749584
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 dmorgan <dmorgan> 1:2.2.9-4.mga4
+ Revision: 560702
- Fix requires ( epoch was missing)

* Tue Oct 22 2013 umeabot <umeabot> 1:2.2.9-3.mga4
+ Revision: 544978
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 tv <tv> 1:2.2.9-2.mga4
+ Revision: 511586
- rebuild for libgoogle-data-mono, hopefully making it installable again

* Tue Oct 15 2013 dmorgan <dmorgan> 1:2.2.9-1.mga4
+ Revision: 500581
- New version

* Sat Jan 12 2013 umeabot <umeabot> 1:2.2.7-3.mga3
+ Revision: 351727
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 dmorgan <dmorgan> 1:2.2.7-2.mga3
+ Revision: 294817
- Fix require in the javadoc package

* Sat Sep 08 2012 dmorgan <dmorgan> 1:2.2.7-1.mga3
+ Revision: 290427
- New version 2.2.7

* Sat Jun 23 2012 dmorgan <dmorgan> 1:2.2.3-1.mga3
+ Revision: 262857
- Revert to version 2.2.3

* Wed Jun 20 2012 dmorgan <dmorgan> 2.2.6-1.mga3
+ Revision: 262216
- New version 2.2.6

* Tue Jan 17 2012 dmorgan <dmorgan> 2.2.3-2.mga2
+ Revision: 197589
- Clean spec file

  + gil <gil>
    - build fix
      removed jaf apis from pom file (used jvm apis)
      configured maven plugins
      used bea-stax-api instead of glassfish-stax-api
      added OSGi support
    - imported package glassfish-jaxb-api


* Fri Jul 22 2011 gil <gil> 2.2.3-0.%%mkrel
- initial rpm

